Skip to main content
POST
Python

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-05-06.rainier"

Query Parameters

expand
enum<string>[]

Fields to expand on the config instance resource.

Available options:
content,
config_schema,
config_type
Example:

Body

application/json
config_schema_id
string
required

The ID of the config schema which this config instance must adhere to.

Example:

"cfg_sch_123"

content
Instance Content · object
required
Example:

Response

200 - application/json

Successfully created the config instance.

object
enum<string>
required

The object type, which is always config_instance.

Available options:
config_instance
Example:

"config_instance"

id
string
required

ID of the config instance.

Example:

"cfg_inst_123"

config_type_name
string
required

The name of the config type.

Example:

"Motion Control"

filepath
string
required

The absolute file system path where this config instance is written.

Example:

"/srv/miru/configs/v1/motion-control.json"

created_at
string<date-time>
required

The timestamp of when the config instance was created.

Example:

"2021-01-01T00:00:00Z"

config_schema_id
string
required

ID of the config schema which the config instance must adhere to.

Example:

"cfg_sch_123"

config_type_id
string
required

ID of the config type which the config instance (and its schema) is a part of.

Example:

"cfg_type_123"

config_schema
Config Schema · object

Expand the config schema using 'expand=config_schema' in the query string.

Example:
config_type
Config Type · object

Expand the config type using 'expand=config_type' in the query string.

Example:
content
Instance Content · object

The configuration values associated with the config instance. Expand the content using 'expand=content' in the query string.

Example:
Last modified on May 27, 2026